{
  "name": "socket-international",
  "private": true,
  "version": "0.0.0",
  "scripts": {
    "dev": "vite",
    "build": "vue-tsc  --noEmit && vite build --mode production",
    "commit": "git add . && git cz",
    "preview": "vite preview",
    "lint:eslint": "eslint --max-warnings 0  \"**/*.{vue,ts,tsx}\" --fix",
    "lint:prettier": "prettier --write  \"src/**/*.{js,json,tsx,css,less,scss,vue,html,md}\"",
    "lint:lint-staged": "lint-staged"
  },
  "dependencies": {
    "axios": "^1.1.3",
    "clipboard": "^2.0.11",
    "consola": "^2.15.3",
    "lodash-es": "^4.17.21",
    "pinia": "^2.0.23",
    "pinia-plugin-persistedstate": "^2.3.0",
    "trtc-js-sdk": "^4.14.6",
    "uuid": "^9.0.0",
    "vue": "^3.2.41",
    "vue-types": "^4.2.1"
  },
  "devDependencies": {
    "@types/node": "^18.11.7",
    "@types/uuid": "^8.3.4",
    "@typescript-eslint/eslint-plugin": "^5.42.1",
    "@typescript-eslint/parser": "^5.42.1",
    "@vitejs/plugin-vue": "^3.2.0",
    "add": "^2.0.6",
    "commitizen": "^4.2.5",
    "cz-customizable": "^7.0.0",
    "prettier": "^2.7.1",
    "sass": "^1.55.0",
    "typescript": "^4.8.4",
    "vite": "^3.2.0",
    "vite-plugin-eslint": "^1.8.1",
    "vite-plugin-html-env": "^1.2.7",
    "vite-plugin-mkcert": "^1.10.1",
    "vite-plugin-require-transform": "^1.0.4",
    "vite-plugin-windicss": "^1.8.8",
    "vue-eslint-parser": "^9.1.0",
    "vue-tsc": "^1.0.9",
    "windicss": "^3.5.6",
    "eslint": "^8.23.1",
    "eslint-config-prettier": "^8.5.0",
    "eslint-define-config": "^1.7.0",
    "eslint-plugin-jest": "^25.7.0",
    "eslint-plugin-prettier": "^4.2.1",
    "eslint-plugin-vue": "^8.7.1",
    "jest": "^27.5.1",
    "lint-staged": "12.1.4",
    "npm-run-all": "^4.1.5"
  },
  "config": {
    "commitizen": {
      "path": "cz-customizable"
    }
  }
}
